Bug 206005 - Agent output printed to stderr
Agent output printed to stderr
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Hurka
issues@profiler
bugdb_13458736
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 15:05 UTC by Jiri Sedlacek
Modified: 2012-09-27 15:16 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2011-12-06 15:05:12 UTC
During profiling session, some agent status messages are printed to System.err which might look like an error to users. Some of the messages:

Profiler Agent: Initializing...
Profiler Agent: Options: >D:\Software\Oracle\jdevjava\jdeveloper\netbeans\profiler\lib,5140,10<
Profiler Agent: Initialized successfully
Profiler Agent: Redefining 100 classes at idx 0, out of total 519 
Profiler Agent: Redefining 100 classes at idx 100, out of total 519 
Profiler Agent: Redefining 100 classes at idx 200, out of total 519 
Profiler Agent: Redefining 100 classes at idx 300, out of total 519 
Profiler Agent: Redefining 100 classes at idx 400, out of total 519 
Profiler Agent: Redefining 19 classes at idx 500, out of total 519 

Only error messages should be printed to System.err.
Comment 1 Tomas Hurka 2012-04-04 09:44:38 UTC
Fixed in profiler-main

changeset:   217380:7d9bb92befc0
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Apr 04 11:42:29 2012 +0200
summary:     bugfix #206005, only error messages should be sent to stderr
Comment 2 Quality Engineering 2012-04-14 09:45:34 UTC
Integrated into 'main-golden', will be available in build *201204140400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7d9bb92befc0
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #206005, only error messages should be sent to stderr


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo